NTLM_AUTH(1)

NAME
ntlm_auth - tool to allow external access to Winbind's NTLM authentication function

SYNOPSIS
ntlm_auth [-d debuglevel] [-l logfile] [-s <smb config file>]

DESCRIPTION

This tool is part of the Samba(7) suite.

ntlm_auth is a helper utility that authenticates users using NT/LM authentication. It returns 0 if the users is authenticated successfully and 1 if access was denied. ntlm_auth uses winbind to access the user and authentication data for a domain. This utility is only to be used by other programs (currently squid).

OPTIONS

--helper-protocol=PROTO
    Operate as a stdio-based helper

--username=USERNAME
    Specify username of user to authenticate

--domain=DOMAIN
    Specify domain of user to authenticate

--workstation=WORKSTATION
    Specify the workstation the user authenticated from

--challenge=STRING
    challenge (HEX encoded)

--lm-response=RESPONSE
    LM Response to the challenge (HEX encoded)

--nt-response=RESPONSE
    NT or NTLMv2 Response to the challenge (HEX encoded)

--password=PASSWORD
    User's plaintext password

--request-lm-key
    Retreive LM session key

--request-nt-key
    Request NT key

-V  Prints the program version number.

-s <configuration file>
    The file specified contains the configuration details required by the server. The information in this file includes server-specific information such as what printcap file to use, as well as descriptions of all the services that the server is to provide. See smb.conf for more information. The default configuration file name is determined at compile time.

-d|--debug=debuglevel
    debuglevel is an integer from 0 to 10. The default value if this parameter is not specified is zero. The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, only critical errors and serious warnings will be logged. Level 1 is a reasonable level for day-to-day running - it generates a small amount of information about operations carried out. Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic. Note that specifying this parameter here will override the log level parameter in the smb.conf file.

-l|--logfile=logbasename
    File name for log/debug files. The extension ".client" will be appended. The log file is never removed by the client.

-h|--help
    Print a summary of command line options.

VERSION

This man page is correct for version 3.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The ntlm_auth manpage was written by Jelmer Vernooij.